> For the complete documentation index, see [llms.txt](https://docs.boii.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.boii.dev/fivem-paid-resources/vendors/configuration.md).

# Configuration

Script configuration boils down to a small set of `convars` and static data files.\
Convars overrides can be set in your `server.cfg` or you can leave them as default.&#x20;

Defining new locations, items, blips and peds can be done through the `data` files.\
For more on this read [**Creating Vendors**](/fivem-paid-resources/vendors/guides/creating-vendors.md).

***

## Convar Settings

You can override the default settings of these convars within your `server.cfg` for more about convars read: [**FiveM Docs - Convars**](https://docs.fivem.net/docs/scripting-reference/convars/).

```lua
vendors.language = GetConvar("vendors:language", "en")
vendors.locale = exports.bdtk:get("locales." .. vendors.language, true) or {}

vendors.image_file_path = GetConvar("vendors:image_file_path", "nui://vendors/images/")

vendors.debug_mode = GetConvar("vendors:debug_mode", "false") == "true"
vendors.debug_colours = {
    reset = "^7",
    debug = "^6",
    info = "^5",
    success = "^2",
    warn = "^3",
    error = "^8",
    critical = "^1",
    dev = "^9"
}

vendors.restock_time = GetConvar("vendors:restock_time", "5")
vendors.restock_percentage = GetConvar("vendors:restock_percentage", "25")

vendors.force_dui = GetConvar("vendors:force_dui", "false") == "true"
vendors.target = not vendors.force_dui and (GetResourceState("ox_target") == "started" and "ox_target" or GetResourceState("qb-target") == "started" and "qb-target") or nil

```

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.boii.dev/fivem-paid-resources/vendors/configuration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
